% Funkcia vysetri ohnutie tela ihly
% Vstupnym parametrom je orezany BW obraz,a X a Y ktore su uz vyhladane
% kraje
% Vystupom je 3 stavova premenna
% Stavy: 1= nie je ohnutá, 2= je ohnutá k ose x nahore, 3=je ohnutá k ose x
% nadol
% Ked najde pixel ktory je vacsi ne 0 (to je 1, cize cast ihly) a tento
% pixel je dalej nez 30 pixelov od osy nahor, tak ihla je ohnuta hore
% Ked najde pixel ktory je vacsi ne 0 (to je 1, cize cast ihly) a tento
% pixel je dalej nez 30 pixelov od osy nadol, tak ihla je ohnuta dole
function[Ohnutie]= search_ohnutie(Im_crop,y1)
[rows,cols]=size(Im_crop);
x=1;y=1;
Ohnutie=1;
while(x<cols)
    while(y<rows)
        if(Im_crop(y,x)>0 && (y1-30)>y) % 30pixelov od osy nahore
            Ohnutie=2;
        end
        if(Im_crop(y,x)>0 && (y1+30)<y)% 30pixelov od osy nadol
            Ohnutie=3;
        end
        y=y+1;
    end
    y=1;
    x=x+1;
end
figure(2)

end